@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DynaPuff:wght@700&family=Manrope:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DynaPuff:wght@700&family=Montserrat:wght@300;400;700&family=Ubuntu:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@500&family=Montserrat:wght@300;400;700&family=Ubuntu:wght@400;700&display=swap');

@import "variables";
@import "mixins";

body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  overflow-x: hidden;
  min-width: 320px;
}


.header {
  width: 100%;
  background: $header-bg-color;

  &__container {
    width: 100%;
    height: 800px;
    margin: 0 auto;
    @include flex-space-between;
    flex-direction: column;

  }

  &__menu {
    @include flex-space-between;
    align-items: center;
    width: 100%;

    @media screen and (min-width: 1200px) {
      position: fixed;
      transition: background-color 0.3s ease;
      z-index: 1000;
    }
  }

  &__img {
    width: 56px;
    height: 56px;
    padding: 27px 0 0 17px;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      padding: 38px 0 0 34px;

    }

    @media screen and (min-width: 1200px) {
      padding-left: 191px;
    }
  }

  &__nav {
    @include flex-space-between;
    gap: 20px;
    width: 595px;
    height: 47px;
    padding-top: 20px;
    margin: 0;
    opacity: 0;
    cursor: pointer;

    @media screen and (min-width: 1200px) {
      opacity: 1;
    }

    &__item {
      display: flex;
      align-items: center;
      justify-content: space-around;
      border: 1px solid $header-border-color;
      border-radius: 20px;
      width: 128px;
      height: 42px;
    }

    &__logo {
      width: 16px;
      height: 16px;
    }

    &__text {
      margin: 0;
      color: $header-text-color;
      @include font-properties('Manrope', 16px, 700, 22px);
    }
  }

  &__burger-menu__btn {
    @include flex-center-align;
    position: absolute;
    top: 27px;
    right: 16px;
    width: 56px;
    height: 56px;
    cursor: pointer;
    z-index: 1;
    border: 2px solid $header-border-color;
    border-radius: 10px;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      top: 36px;
      right: 31px;
    }

    @media screen and (min-width: 1200px) {
      display: none;
    }
  }

  &__burger-menu__icon,
  &__burger-menu__icon::before,
  &__burger-menu__icon::after {
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: $header-burger-menu-color;
    transition-duration: .25s;
  }

  &__burger-menu__icon::before {
    content: '';
    top: -8px;
  }

  &__burger-menu__icon::after {
    content: '';
    top: 8px;
  }

  &__burger-menu__box {
    display: block;
    position: fixed;
    visibility: hidden;
    top: 0;
    right: -100%;
    margin: 0;
    padding: 100px 0;
    list-style: none;
    background-color: $header-burger-menu-bg-color;
    box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
    border-radius: 144px 0px 0px 144px;
    transition-duration: .25s;
  }

  &__burger-menu__item {
    display: block;
    padding: 18px 68px;
    color: $header-burger-menu-color;
    @include font-properties('Roboto', 20px, 600, 22px);
    text-decoration: none;
    transition-duration: .25s;
  }

  &__burger-menu__item:hover {
    background-color: $header-burger-menu-hover-color;
  }

  &__burger-menu__toggle {
    display: none;
  }

  &__burger-menu__toggle:checked ~ &__burger-menu__btn > &__burger-menu__icon {
    transform: rotate(45deg);
  }

  &__burger-menu__toggle:checked ~ &__burger-menu__btn > &__burger-menu__icon::before {
    top: 0;
    transform: rotate(0);
  }

  &__burger-menu__toggle:checked ~ &__burger-menu__btn > &__burger-menu__icon::after {
    top: 0;
    transform: rotate(90deg);
  }

  &__burger-menu__toggle:checked ~ &__burger-menu__box {
    visibility: visible;
    right: 0;
  }

  &__title {
    @include flex-center-column;
    justify-content: flex-end;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      padding-left: 34px;
      align-items: flex-start;
    }

    @media screen and (min-width: 1200px) {
      display: block;
    }

    &__text {
      color: $header-title-color;
      @include font-properties('DynaPuff', 3em, 700, 57.6px);
      margin: 0;
      padding: 0 0 149px 21px;

      @media screen and (min-width: 768px) and (max-width: 1200px) {
        font-size: 5em;
        line-height: 96px;
        padding-bottom: 130px;
      }

      @media screen and (min-width: 1200px) {
        padding: 491px 0 119px 191px;
        font-size: 5em;
        line-height: 96px;
        margin: 0;
        width: 846px;
      }
    }
  }
}


.main {
  width: 100%;
  min-height: 100vh;
}

.section-first {
  width: 100%;
  background: $sect-first-bg-color;
  height: 466px;
  display: flex;

  &__content {
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 72px 16px 0 16px;
    width: 300px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      padding: 119px 0 0 33px;
      width: 442px;
    }
    @media screen and (min-width: 1200px) {
      padding: 101px 0 0 191px;
      width: 540px;
    }
  }

  &__title {
    color: $sect-first-title-color;
    @include font-properties('DynaPuff', 36px, 700, 43px);
    margin: 0;
    text-align: left;
  }

  &__text {
    color: $sect-first-text-color;
    @include font-properties('Manrope', 15px, 500, 20px);
    text-align: left;
    margin: 0;
    padding-top: 40px;
  }

  &__last-text {
    @include flex-space-between;
    padding-top: 40px;
    color: $sect-first-last-text-color;
    margin: 0;
  }

  &__item-wrapper {
    text-align: left;
    width: 90px;

    &__number {
      @include font-properties('DynaPuff', 36px, 700, 43px);
      margin: 0;
    }

    &__text {
      white-space: pre-line;
      @include font-properties('Manrope', 15px, 500, 20px);
      text-align: left;
    }
  }

  &__ellips-item {
    border: 1px solid $ellips-color;
    width: 167.49px;
    height: 319.98px;
    border-radius: 50%;
    transform: rotate(45deg);
    position: absolute;
    right: -131px;
    top: 841px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      width: 268px;
      height: 512px;
      top: 778px;
    }
    @media screen and (min-width: 1200px) {
      width: 268px;
      height: 512px;
      right: -21px;
      top: 778px;
    }
  }

  &__ellips-item2 {
    transform: rotate(-45deg);
  }
}

.section-second {
  width: 100%;
  background: #3C3C3C;
  margin: 0 auto;

  &__grid-container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas:
      "grid-1 grid-1 grid-1 grid-1 grid-1 grid-1"
      "grid-2 grid-2 grid-2 grid-2 grid-2 grid-2";
    padding: 52px 16px 53px 16px;
    align-items: start;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      grid-template-areas:
        "grid-1 grid-1 grid-1 grid-1 grid-1 grid-1"
        "grid-2 grid-2 grid-2 grid-3 grid-3 grid-3";
      padding: 78px 32px 0px 33px;
      row-gap: 125px;
      column-gap: 80px;
    }

    @media screen and (min-width: 1200px) {
      grid-template-areas:
        "grid-1 grid-1 grid-1 grid-1 grid-1 grid-1"
        "grid-3 grid-3 grid-2 grid-2 grid-4 grid-4";
      padding: 86px 195px 86px 195px;
      grid-template-rows: minmax(200px, auto) minmax(100px, auto);
      row-gap: 63px;
      column-gap: 50px;
      align-items: stretch;
    }
  }

  &__properties-grid {
    object-fit: cover;
    text-align: center;
    border-radius: 20px;
    background: $sect-second-grid-bg-color;
    padding: 16px 16px 20px 16px;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      padding: 20px 20px 20px 20px;
    }

    &__img {
      display: block;
      width: 100%;
      height: auto;
    }

    &__title {
      @include font-properties('DynaPuff', 32px, 600, 38px);
      text-align: left;
      color: #565656;
      margin: 0;
      padding-top: 20px;
    }

    &__text {
      @include font-properties('Manrope', 16px, 700, 20px);
      text-align: left;
      color: $sect-second-grid-title-color;
      margin: 0;
      padding-top: 22px;
    }
  }

  &__grid-1 {
    grid-area: grid-1;
  }

  &__grid-2 {
    grid-area: grid-2;
  }

  &__grid-3 {
    grid-area: grid-3;
    display: none;

    @media screen and (min-width: 768px) and (max-width: 1200px) {
      display: block;
    }

    @media screen and (min-width: 1200px) {
      display: block;
    }
  }

  &__grid-4 {
    grid-area: grid-4;
    display: none;

    @media screen and (min-width: 1200px) {
      display: block;
    }
  }
}

.section-three {
  background: $sect-three-bg-color;
  margin: 0 auto;

  &__title {
    @include font-properties('DynaPuff', 36px, 700, 43px);
    text-align: left;
    margin: 0;
    padding: 58px 0 28px 16px;
    color: $sect-three-title-color;
    @include flex-center-align;
    flex-direction: row;
    justify-content: flex-start;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      font-size: 80px;
      line-height: 96px;
      padding: 82px 0 32px 32px;
    }
    @media screen and (min-width: 1200px) {
      font-size: 80px;
      line-height: 96px;
      padding: 82px 0 32px 190px;
    }
  }

  &__grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    min-height: 100vh;
    grid-row-gap: 20px;
    padding-bottom: 93px;
    margin: 0 28px 0 18px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      grid-row-gap: 26px;
      padding-bottom: 129px;
      margin: 0 32px 0 36px;
      grid-column-gap: 34px;
    }
    @media screen and (min-width: 1200px) {
      margin: 0 180px 0 180px;
      grid-column-gap: 26px;
    }
  }

  &__common-grid-class {
    background-repeat: no-repeat;
    background-size: 100% 100%;
    border-radius: 40px;
    @include flex-center-align;
    justify-content: center;
  }


  &__grid1 {
    @include grid-row-column(span 1, span 2);
    background-image: url("../images/Rectangle1.jpg");
    min-height: 325px;
    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        min-height: 414px;
      }
    }

    &__img {
      @include img-with-height(134px, 137px);
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        @include img-with-height(227px, 227px);
      }
      @media screen and (min-width: 1200px) {
        @include img-with-height(268px, 268px);
      }
    }
  }


  &__grid2 {
    @include grid-row-column(span 1, span 2);
    background-image: url("../images/Rectangle 6.jpg");
    min-height: 325px;
    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        @include grid-row-column(span 1, span 1);
      }
    }

    &__img {
      @include img-with-height(134px, 137px);
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        @include img-with-height(147px, 151px);
      }
      @media screen and (min-width: 1200px) {
        @include img-with-height(187px, 192px);
      }
    }
  }


  &__grid3 {
    @include grid-row-column(span 1, span 2);
    background-image: url("../images/Rectangle 7.jpg");
    min-height: 325px;
    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        @include grid-row-column(span 1, span 1);
      }
    }

    &__img {
      @include img-with-height(148px, 143px);
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        @include img-with-height(183px, 177px);
      }
      @media screen and (min-width: 1200px) {
        @include img-with-height(223px, 225px);
      }
    }
  }
}


.section-four {
  background-image: url("../images/Rectangle 8.jpg");
  min-height: 800px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  @include flex-center-column;
  justify-content: center;

  filter: grayscale(100%);

  &__title {
    @include font-properties('DynaPuff', 24px, 700, 29px);
    margin: 0;
    text-align: center;
    color: #FFFFFF;
    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        font-size: 48px;
        line-height: 58px;
      }
    }
  }
}

.footer {
  background: $footer-bg-color;
  width: 100%;

  &__container {
    height: 289px;
    padding-top: 53px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      height: 312px;
      padding-top: 96px;
    }
    @media screen and (min-width: 1200px) {
      height: 452px;
      padding-top: 78px;
    }
  }

  &__wrapper-link {
    text-decoration: none;
    color: $footer-text-link-color;
    display: flex;
    justify-content: center;
  }

  &__link {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    box-sizing: border-box;
    border: 1px solid $footer-border-link-color;
    border-radius: 139px;
    width: 324px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      width: 714px;
    }
    @media screen and (min-width: 1200px) {
      width: 914px;
    }


    &__img1 {
      //width: 52px;
      //height: 51px;
      @include img-with-height(52px, 51px);
      padding-top: 9px;
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        display: none;
      }
      @media screen and (min-width: 1200px) {
        display: none;
      }
    }

    &__img2 {
      display: none;
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        display: block;
        @include img-with-height(108px, 108px);
        padding: 21px 0 21px 37px;
      }
      @media screen and (min-width: 1200px) {
        display: block;
        padding: 42px 0 42px 137px;
      }
    }
  }

  &__title {
    @include font-properties('DynaPuff', 20px, 700, 24px);
    text-align: center;
    margin: 0;
    padding-top: 12px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      font-size: 48px;
      line-height: 58px;
    }
    @media screen and (min-width: 1200px) {
      font-size: 48px;
      line-height: 58px;
      padding-top: 42px;
    }
  }

  &__subtitle {
    display: flex;

    &__text {
      @include font-properties('Manrope', 15px, 500, 20px);
      margin: 0;
      text-align: start;
      padding: 4px 0 12px 0;
      @media screen and (min-width: 768px) {
        @media (max-width: 1200px), (min-width: 1200px) {
          font-size: 24px;
          line-height: 33px;
          padding: 17px 0 21px 0;
        }
      }
    }
  }

  &__arrow {
    display: block;
    margin: 9px 0 0 50px;
    width: 11px;
    height: 11px;
    border-top: 2px solid $footer-arrow-color;
    border-left: 2px solid $footer-arrow-color;
    transform: rotate(135deg);

    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        margin: 28px 0 0 50px;
      }
    }
  }

  &__arrow::after {
    content: "";
    display: block;
    width: 2px;
    height: 45px;
    background-color: $footer-arrow-color;
    transform: rotate(-45deg) translate(15px, 4px);
    left: 0;
    top: 0;
  }

  &__bottom {
    @include flex-center-column;
    margin-top: 113px;
    @media screen and (min-width: 768px) and (max-width: 1200px) {
      margin-top: 60px;
    }
    @media screen and (min-width: 1200px) {
      margin-top: 163px;
    }
  }

  &__bottom-container {
    width: 198px;

    @media screen and (min-width: 768px) {
      @media (max-width: 1200px), (min-width: 1200px) {
        width: 226px;
      }
    }

    &__block {
      @include flex-space-between;
      @media screen and (min-width: 768px) {
        @media (max-width: 1200px), (min-width: 1200px) {
          justify-content: space-around;
        }
      }
    }

    &__text {
      @include font-properties('Manrope', 14px, 500, 19px);
      margin: 0;
      text-align: center;
      color: $footer-bottom-text-color;
      padding-top: 21px;
      @media screen and (min-width: 768px) and (max-width: 1200px) {
        font-size: 16px;
      }
      @media screen and (min-width: 1200px) {
        font-size: 16px;
      }
    }
  }
}








